%define major 4
%define libname	%mklibname mcrypt %{major}
%define develname %mklibname mcrypt -d
%define static_develname %mklibname mcrypt -d -s

Summary:	Thread-safe data encryption library
Name:		libmcrypt
Version:	2.5.8
Release:	%mkrel 14
License:	LGPLv2+
Group:		System/Libraries
URL:		http://mcrypt.sourceforge.net/
Source0:	http://downloads.sourceforge.net/mcrypt/%{name}-%{version}.tar.gz
Patch1:		libmcrypt-2.5.8-automake-1.13.patch
BuildRequires:	libtool-devel
BuildRequires:	automake
BuildRequires:	autoconf2.5
BuildRequires:	multiarch-utils >= 1.0.3

%description
Libmcrypt is a thread-safe library providing a uniform interface
to access several block and stream encryption algorithms.

     Some algorithms which are supported:
SERPENT, RIJNDAEL, 3DES, GOST, SAFER+, CAST-256, RC2, XTEA, 3WAY,
TWOFISH, BLOWFISH, ARCFOUR, WAKE and more. 

%package -n	%{libname}
Summary:	Thread-safe data encryption library
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n	%{libname}
Libmcrypt is a thread-safe library providing a uniform interface
to access several block and stream encryption algorithms.

     Some algorithms which are supported:
SERPENT, RIJNDAEL, 3DES, GOST, SAFER+, CAST-256, RC2, XTEA, 3WAY,
TWOFISH, BLOWFISH, ARCFOUR, WAKE and more. 


%package -n	%{develname}
Summary:	Header files and libraries for developing apps with libmcrypt
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Obsoletes:	%{libname}-devel

%description -n	%{develname}
This package contains the header files and libraries needed to
develop programs that use the libmcrypt library.
Install it if you want to develop such applications.

%package -n	%{static_develname}
Summary:	Static libraries for developing apps with libmcrypt
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	%{name}-devel = %{version}
Provides:	%{name}-static-devel = %{version}
Obsoletes:	%{libname}-static-devel

%description -n	%{static_develname}
This package contains the static libraries needed to
develop programs that use the libmcrypt library.
Install it if you want to develop such applications.

%prep

%setup -q
%patch1 -p1 -b .automake-1_13

%build
rm -rf libltdl
libtoolize --copy --force --install --ltdl
cp `aclocal --print-ac-dir`/libtool.m4 .
aclocal
autoconf
automake --foreign -acf

%configure2_5x \
    --enable-dynamic-loading \
    --enable-static \
    --enable-shared \
    --disable-ltdl-install

%make

%check
make check

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

rm -f %{buildroot}%{_libdir}/%{name}/*.a

%multiarch_binaries %{buildroot}%{_bindir}/libmcrypt-config

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB ChangeLog INSTALL KNOWN-BUGS NEWS README THANKS TODO doc/README.* doc/*.c
%multiarch %{multiarch_bindir}/libmcrypt-config
%{_bindir}/libmcrypt-config
%{_libdir}/*.so
%{_includedir}/mcrypt.h
%dir %{_includedir}/mutils
%{_includedir}/mutils/mcrypt.h
%{_datadir}/aclocal/*.m4
%{_mandir}/man3/*

%files -n %{static_develname}
%defattr(-, root, root)
%{_libdir}/*.a

%files
%defattr(-,root,root)
%{_libdir}/%{name}/*.so


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.5.8-14.mga3
+ Revision: 357738
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 cjw <cjw> 2.5.8-13.mga3
+ Revision: 341473
- patch1: fix build with automake 1.13

* Wed Sep 21 2011 fwang <fwang> 2.5.8-12.mga2
+ Revision: 146371
- drop .la files

  + dmorgan <dmorgan>
    - Remove mdv macros
    - imported package libmcrypt

